%define upstream_name    Mason
%define upstream_version 2.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Summary of differences between Mason 1 and
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Mason-2.15-missing_use.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose) >= 1.150.0
BuildRequires: perl(MooseX::HasDefaults) >= 0.30.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.130.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Mason is a powerful Perl-based templating system, designed to generate
dynamic content of all kinds.

Unlike many templating systems, Mason does not attempt to invent an
alternate, "easier" syntax for templates. It provides a set of syntax and
features specific to template creation, but underneath it is still clearly
and proudly recognizable as Perl.

Mason is most often used for generating web pages. It can handle web
requests directly via PSGI, or act as the view layer for a web framework
such as Catalyst or Dancer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p2

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/mason.pl
%{_mandir}/man1/mason.pl.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.240.0-7.mga10
+ Revision: 2207769
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.240.0-6.mga9
+ Revision: 1817230
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.240.0-5.mga8
+ Revision: 1495576
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.240.0-4.mga7
+ Revision: 1269221
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.240.0-3.mga6
+ Revision: 1029526
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.240.0-2.mga6
+ Revision: 968463
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 2.240.0-1.mga6
+ Revision: 852498
- update to 2.24

* Wed Oct 15 2014 umeabot <umeabot> 2.220.0-3.mga5
+ Revision: 744082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.220.0-2.mga5
+ Revision: 685337
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 2.220.0-1.mga5
+ Revision: 596326
- update to 2.22
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 369508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 298048
- update to 2.20

* Tue Jun 05 2012 jquelin <jquelin> 2.190.0-1.mga3
+ Revision: 255152
- update to 2.19

* Mon Apr 23 2012 jquelin <jquelin> 2.150.0-1.mga2
+ Revision: 233003
- add missing use in utils
- adding missing buildrequires:
- imported package perl-Mason


* Mon Jan 09 2012 cpan2dist 2.15-1mga
- initial mageia release, generated with cpan2dist
